This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 481186 - flood of 'incomplete message' messages when creating simple cmirrors
flood of 'incomplete message' messages when creating simple cmirrors
Status: CLOSED WONTFIX
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
Regression
:
Depends On:
Blocks: 488102
  Show dependency treegraph
 
Reported: 2009-01-22 11:58 EST by Corey Marthaler
Modified: 2010-05-20 12:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-20 12:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-01-22 11:58:33 EST
Description of problem:
I don't ever remember seeing this before, seems like a regression.

[root@z3 ~]# lvcreate -m 1 -n mirror -L 300M Z
  Logical volume "mirror" created

Jan 22 10:45:31 z2 dmeventd[5339]: dmeventd ready for processing.
Jan 22 10:45:31 z2 dmeventd[5339]: Monitoring mirror device Z-mirror for events
dm-cmirror: Cluster mirror log server received incomplete message.
dm-cmirror: Cluster mirror log server received incomplete message.
dm-cmirror: Cluster mirror log server received incomplete message.
Jan 22 10:45:38 z2 kernel: dm-cmirror: Cluster mirror log server received incomplete message.

[root@z3 ~]# lvs -a -o +devices
  LV                VG         Attr   LSize   Origin Snap%  Move Log         Copy%  Convert Devices                                         
  LogVol00          VolGroup00 -wi-ao 126.72G                                               /dev/sda2(0)                                    
  LogVol01          VolGroup00 -wi-ao   9.88G                                               /dev/sda2(4055)                                 
  mirror            Z          mwi-a- 300.00M                    mirror_mlog 100.00         mirror_mimage_0(0),mirror_           mimage_1(0)
  [mirror_mimage_0] Z          iwi-ao 300.00M                                               /dev/sdc1(0)                                    
  [mirror_mimage_1] Z          iwi-ao 300.00M                                               /dev/sdc2(0)                                    
  [mirror_mlog]     Z          lwi-ao   4.00M                                               /dev/sdc5(0)                         

Then when you create a second one, all hell breaks loose, deadlocking lvm.


Version-Release number of selected component (if applicable):
2.6.9-78.0.13.ELlargesmp

lvm2-2.02.37-3.el4    BUILT: Thu Jun 12 10:11:02 CDT 2008
lvm2-cluster-2.02.37-3.el4    BUILT: Thu Jun 12 10:20:35 CDT 2008
device-mapper-1.02.25-2.el4    BUILT: Mon Jun  9 09:28:37 CDT 2008
cmirror-1.0.1-1    BUILT: Tue Jan 30 17:20:41 CST 2007
cmirror-kernel-2.6.9-43.4.el4_7.8    BUILT: Tue Jan 20 17:17:38 CST 2009


How reproducible:
everytime
Comment 1 Corey Marthaler 2009-01-22 13:57:46 EST
This cluster has mixed archs, so this is most likely the rhel4 version of bug 479321.
Comment 2 Jonathan Earl Brassow 2009-03-30 17:27:57 EDT
Clearing the flags on this bug.  bug 488102 is now the aggregate for
architecture mixing bugs and will hold the flags.
Comment 4 Jonathan Earl Brassow 2010-05-20 12:13:05 EDT
Won't fix mixed arch issues in RHEL4.  (Mixed arch clusters are not supported under any RHEL release that I know of.  However, the support for them - from cmirror's perspective - is handled upstream.)

Note You need to log in before you can comment on or make changes to this bug.